Package org.apache.cayenne.access.dbsync

## Class ThrowOnPartialOrCreateSchemaStrategy

- java.lang.Object
- - org.apache.cayenne.access.dbsync.BaseSchemaUpdateStrategy
  - - org.apache.cayenne.access.dbsync.ThrowOnPartialSchemaStrategy
    - - org.apache.cayenne.access.dbsync.ThrowOnPartialOrCreateSchemaStrategy

- All Implemented Interfaces:
    `SchemaUpdateStrategy`

      public class ThrowOnPartialOrCreateSchemaStrategy
      extends ThrowOnPartialSchemaStrategy

  Since:
    3.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.dbsync.BaseSchemaUpdateStrategy

      `run, threadRunInProgress`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThrowOnPartialOrCreateSchemaStrategy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `processSchemaUpdate​(DataNode dataNode, List<String> mergerOnlyTable, String errorMessage, int entitiesSize)` |

    - ### Methods inherited from class org.apache.cayenne.access.dbsync.ThrowOnPartialSchemaStrategy

      `processSchemaUpdate`

    - ### Methods inherited from class org.apache.cayenne.access.dbsync.BaseSchemaUpdateStrategy

      `updateSchema`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThrowOnPartialOrCreateSchemaStrategy

          public ThrowOnPartialOrCreateSchemaStrategy()

  - ### Method Detail

    - #### processSchemaUpdate

          protected void processSchemaUpdate​(DataNode dataNode,
                                             List<String> mergerOnlyTable,
                                             String errorMessage,
                                             int entitiesSize)
                                      throws SQLException

      Overrides:
        `processSchemaUpdate` in class `ThrowOnPartialSchemaStrategy`
      Throws:
        `SQLException`